Name:           geoclue2
Version:        2.7.1
Release:        1
Summary:        Geolocation service
License:        GPLv2+ and LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/GeoClue/
Source0:        https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/%{version}/geoclue-%{version}.tar.bz2

BuildRequires:  avahi-glib-devel glib2-devel gobject-introspection-devel intltool itstool json-glib-devel
BuildRequires:  libsoup3-devel ModemManager-glib-devel systemd vala libnotify-devel meson
BuildRequires:  gettext gtk-doc
Requires:       shadow-utils systemd dbus


Obsoletes:      geoclue2-server < 2.1.8 geoclue < 0.12.99-10 geoclue-devel < 0.12.99-10 geoclue-gsmloc < 0.12.99-10
Obsoletes:      geoclue-gui < 0.12.99-10 geoclue-gypsy < 0.12.99-10

Provides:       %{name}-demos %{name}-libs %{name}-libs%{?_isa}
Obsoletes:      %{name}-demos %{name}-libs

%description
Geoclue is a D-Bus service that provides location information. The primary goal
of the Geoclue project is to make creating location-aware applications as
simple as possible, while the secondary goal is to ensure that no application
can access location information without explicit permission from user.
geoclue2 also contains demo applications that use %{name}

%package        devel
Summary:        Development files for %{name} Geoclue client library
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains files for developing applications that
use %{name}.and contains a convenience library to interact with
Geoclue service.

%prep
%autosetup -n geoclue-%{version} -p1

%build
%meson -Ddbus-srv-user=geoclue
%meson_build

%install
%meson_install

%delete_la_and_a
install -d $RPM_BUILD_ROOT/var/lib/geoclue

%pre
# Update the home directory for existing users
getent passwd geoclue >/dev/null && \
    usermod -d /var/lib/geoclue geoclue &>/dev/null
# Create a new user and group if they don't exist
getent group geoclue >/dev/null || groupadd -r geoclue
getent passwd geoclue >/dev/null || \
    useradd -r -g geoclue -d /var/lib/geoclue -s /sbin/nologin \
    -c "User for geoclue" geoclue
exit 0

%post
%systemd_post geoclue.service

%preun
%systemd_preun geoclue.service

%postun
%systemd_postun_with_restart geoclue.service


%files
%doc NEWS
%license COPYING
%config %{_sysconfdir}/geoclue/
%dir %{_libexecdir}/geoclue-2.0
%dir %{_libexecdir}/geoclue-2.0/demos
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_sysconfdir}/xdg/autostart/geoclue-demo-agent.desktop
%{_libexecdir}/geoclue
%{_datadir}/polkit-1/rules.d/org.freedesktop.GeoClue2.rules
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/applications/geoclue-*.desktop
%{_mandir}/man5/geoclue.5*
%{_unitdir}/geoclue.service
%{_libexecdir}/geoclue-2.0/demos/*
%{_libdir}/girepository-1.0/Geoclue-2.0.typelib
%{_libdir}/libgeoclue-2.so.0*
%attr(755,geoclue,geoclue) %dir /var/lib/geoclue

%files devel
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2*.xml
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Geoclue-2.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/geoclue/
%{_datadir}/gtk-doc/html/libgeoclue/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libgeoclue-2.0.*
%{_includedir}/libgeoclue-2.0/
%{_libdir}/pkgconfig/geoclue-2.0.pc
%{_libdir}/pkgconfig/libgeoclue-2.0.pc
%{_libdir}/libgeoclue-2.so

%changelog
* Wed Jan 17 2024 konglidong <konglidong@uniontech.com> - 2.7.1-1
- update version to 2.7.1

* Wed Jul 26 2023 zhangkea <zhangkea@uniontech.com> - 2.7.0-1
- Update to 2.7.0

* Tue Apr 19 2022 dillon chen <dillon.chen@gmail.com> - 2.6.0-1
- Update to 2.6.0

* Fri Jan 29 2021 yanglu <yanglu60@huawei.com> - 2.5.7-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:version update

* Mon Jul 20 2020 wangye <wangye70@huawei.com> - 2.5.6-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:version update

* Mon Feb 17 2020 hexiujun <hexiujun1@huawei.com> - 2.4.11-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add missing license

* Thu Oct 17 2019 shenyangyang <shenyangyang4@huawei.com> - 2.4.11-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add geoclue2-libs%{?isa} that required by gnome-shell

* Wed Sep 11 2019 openEuler jimmy<dukaitian@huawei.com> - 2.4.11-2
- Package init jimmy
